System 2.0.0.0 4.0.0.0 System.Enum

This enumeration specifies valid values for the property.

Defines the possible cipher algorithms for the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Advanced Encryption Standard (AES) algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Advanced Encryption Standard (AES) algorithm with a 128 bit key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Advanced Encryption Standard (AES) algorithm with a 192 bit key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Advanced Encryption Standard (AES) algorithm with a 256 bit key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Data Encryption Standard (DES) algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  No encryption algorithm is used.

- Field
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  No encryption is used with a Null cipher algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  Rivest's Code 2 (RC2) algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  Rivest's Code 4 (RC4) algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.CipherAlgorithmType

  The Triple Data Encryption Standard (3DES) algorithm.